# Copyright (c) 2000-2008, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_with             jdk6


%define section free

Name:           hibernate3-ejb-persistence-3.0-api
Version:        3.2.1
Release:	4%{?dist}
Epoch:          0
Summary:        EJB3 persistence API
License:        LGPLv2+
URL:            http://www.hibernate.org/
Group:          Database
# svn export http://anonhibernate.labs.jboss.com/trunk/HibernateExt/ejb-api/
# mv HibernateExt/ejb-api hibernate3-ejb-persistence-3.0-api
# tar czf hibernate3-ejb-persistence-3.0-api-3.2.1.GA.tar.gz hibernate3-ejb-persistence-3.0-api
Source0: 	hibernate3-ejb-persistence-3.0-api-3.2.1.GA.tar.gz
Source1: 	hibernate3-ext-lgpl.txt

BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  java-devel >= 0:1.5
BuildRequires:  ant
Requires:       java >= 0:1.5
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
JSR-220 EJB 3.0 (persistence) API.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%prep
%setup -q -n %{name}
#find . -type f -name "*.jar" | xargs -t rm
cp -p %{SOURCE1} lgpl.txt

%build
export CLASSPATH=
export OPT_JAR_LIST=:
ant jar javadoc 

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p build/ejb3-persistence.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}\.jar|.jar|g"`; done)

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc etc/license.txt lgpl.txt
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%changelog
* Mon Dec 08 2008 Will Tatam <will.tatam@red61.com> 3.2.1-4
- Auto rebuild for JPackage 5 in mock

* Thu Oct 10 2008 David Walluck <dwalluck@redhat.com> 0:3.2.1-3
- build for JPackage 5

* Mon Jun 02 2008 Permaine Cheung <pcheung@redhat.com> - 0:3.2.1-2
- First JPP5 build

* Fri Aug 10 2007 Fernando Nasser <fnasser@redhat.com> - 0:3.2.1-1jpp.ep1.1
- Fix release tag

* Thu Aug 09 2007 Fernando Nasser <fnasser@redhat.com> - 0:3.2.1-1jpp.ep.1
- Merge with upstream

* Thu Aug 09 2007 Fernando Nasser <fnasser@redhat.com> - 0:3.2.1-1jpp
- Upgrade to 3.2.1.GA

* Mon Jul 10 2006 Fernando Nasser <fnasser@redhat.com> - 0:3.0-2jpp_1rh
- First Red Hat build

* Thu Jun 22 2006 Ralph Apel <r.apel at r-apel.de> - 0:3.0-2jpp
- Fix versionless symlink

* Wed Jun 21 2006 Ralph Apel <r.apel at r-apel.de> - 0:3.0-1jpp
- First JPP-5.0 release

